> ## Documentation Index
> Fetch the complete documentation index at: https://docs.electra.systems/llms.txt
> Use this file to discover all available pages before exploring further.

# Get devices

> Returns a list of user devices. Requires authentication.



## OpenAPI

````yaml GET /devices
openapi: 3.0.1
info:
  title: Electra API
  description: Electra public API documentation
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.electra.systems/v1/public
security:
  - bearerAuth: []
paths:
  /devices:
    get:
      description: Returns a list of user devices. Requires authentication.
      parameters:
        - name: limit
          in: query
          description: The maximum number of results to return
          schema:
            type: integer
            format: int32
        - name: page
          in: query
          description: Page number for pagination
          schema:
            type: integer
            format: int32
      responses:
        '200':
          description: Devices retrieved
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DevicesResponse'
        '400':
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    DevicesResponse:
      type: object
      properties:
        message:
          type: string
          description: Response message
          example: Devices retrieved
        data:
          type: object
          description: Paginated device data
          properties:
            docs:
              type: array
              items:
                $ref: '#/components/schemas/Device'
            totalDocs:
              type: integer
              description: Total no of documents available
            limit:
              type: integer
              description: Number of docs to be returned
            totalPages:
              type: integer
              description: Total available pages
            page:
              type: integer
              description: Current page
            pagingCounter:
              type: number
              description: Returns the paging counter
            hasPrevPage:
              type: boolean
              description: Returns true if there is a next page
            hasNextPage:
              type: boolean
              description: Returns true if there is a previous page
            prevPage:
              type: number
              description: Returns the previous page number
            nextPage:
              type: number
              description: Returns the next page number
    Error:
      required:
        - error
        - message
      type: object
      properties:
        error:
          type: integer
          format: int32
        message:
          type: string
    Device:
      required:
        - name
      type: object
      properties:
        name:
          description: The name of the tracker/location
          type: string
        alias:
          description: Uinique identifier
          type: string
        deviceId:
          description: Unique device Id
          type: string
        description:
          description: device description
          type: string
        type:
          description: >-
            Type of device. we have Electra for tracking energy and Noulli for
            tracking fuilds
          type: string
        status:
          description: The status of a device can either be active or inactive
          type: string
        createdAt:
          description: Timestamp showing when the device was added to the system
          type: string
        updatedAt:
          description: Timestamp showing when the device details was last modified
          type: string
        meta:
          type: object
          description: Extra information about device
          properties:
            band:
              description: >-
                The electricity band the device is installed on (A-E).
                applicable only to devices in Nigeria.
              type: string
        privacy:
          description: >-
            Privacy can either be private or public. it tells if the device and
            its data are publicly avialable or not
          type: string
        installation:
          description: ''
          type: string
        latestData:
          type: object
          description: The most recent data from the
          properties:
            status:
              description: >-
                The current status of electricity is either 0 or 1, 1 for power
                and 0 for no power
              type: number
              default: 1
            createdAt:
              type: string
              format: date-time
              description: The timestamp when the device was added (ISO 8601 format)
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````